summaryrefslogtreecommitdiff
path: root/tests
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>2003-05-14 14:20:23 +0000
committerJim Meyering <jim@meyering.net>2003-05-14 14:20:23 +0000
commit8f4221ebd254c6216c490f33d8ccb10674f63c7a (patch)
tree460805b5afa8d6f94417521900366451b1ee3a3c /tests
parentaade1ba9934a786d90e8dac3705a7f748eb9d429 (diff)
downloadcoreutils-8f4221ebd254c6216c490f33d8ccb10674f63c7a.tar.xz
Skip this test if `.' is on an XFS file system.
Diffstat (limited to 'tests')
-rwxr-xr-xtests/du/slink8
1 files changed, 8 insertions, 0 deletions
diff --git a/tests/du/slink b/tests/du/slink
index fecd39770..787f811ab 100755
--- a/tests/du/slink
+++ b/tests/du/slink
@@ -26,6 +26,14 @@ else
(exit 77); exit
fi
+df --type=xfs . | tail -n +2 > tmp
+if test -s tmp; then
+ # At least on Irix-6.5.19, when using an xfs file system,
+ # each created symlink (name lengths up to 255) would have a size of `0'.
+ echo "$0: skipping this test, since \`.' is on an XFS file system" 1>&2
+ (exit 77); exit
+fi
+
if test $framework_failure = 1; then
echo "$0: failure in testing framework" 1>&2
(exit 1); exit 1